Subject: Re: Event MIB

From: Alan Luchuk <[email-masked]>
Date: Mon, 20 Dec 1999 14:35:37 -0500 (EST)

Hello All,

Of the following DISMAN-EVENT-MIB options mentioned by Randy:

   The question is whether the indexing for
   mteEventNotificationEntry and mteEventSetEntry should be
      a) { mteOwner, IMPLIED mteTriggerName } (current draft)
      b) { mteOwner, IMPLIED mteEventName } proposed "fix"
      c) something else (let's not go there unless nothing else works)

I prefer option (b).  But I can align with option (a).

(I believe) the reason is simple.  If we go with option (a), and 
assuming I understand this MIB correctly, then basically there 
exists a 1-to-1 correspondence between triggers and actions.  
With option (a), (trigger == event), so having the mteEventName 
index and the mteEventTable is superfluous.  If we go with option
(a) then the text could be cleaned up to not bother mentioning
events, and the mteEventActions object from mteEventTable could 
be collapsed into the mteTriggerTable.

If we go with option (b), then the MIB will support a many-to-1
correspondence between triggers and actions, so (trigger != event).
In this situation, an event is different from a trigger, so the
introductory text better reflects the way the MIB works, and the
mteEventTable has a reason for existing.

Ouch!  My head hurts from studying the recent discussion of 
this topic.

BTW, I'm still unclear about the purpose and operation of the
mteTriggerDeltaTable.  If anyone wants to educate me on-line
or off-line, it would be appreciated.  But I would suggest
clarifying the text in the MIB so as to not have to repeat the
education for each implementor.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 865 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 865 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.snmp.com/
 -----------------------------------------------------------------------------

   Please note that our telephone area code recently changed from 423 to 865. 
   Area 423 should countinue to work until it is phased out in April, 2000.